<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { getPageMetadata } from '~/common/meta';
import { FreeTrialForm } from '~/components/free-trial/index.vue';
import { FooterEditLinkMixin } from '~/mixins';
export default Vue.extend({
  components: {
    FreeTrialForm,
  },
  mixins: [FooterEditLinkMixin],
  layout: 'paid-search-lp',
  async asyncData({ $content }) {
    const data = await $content('en-us/contact-sales').fetch();
    const { seo, content } = data;
    return { seo, content };
  },
  data() {
    return {
      isOpenIndex: -1 as number,
    };
  },
  head(): MetaInfo {
    return getPageMetadata(this.seo, this.$route.path);
  },
  nuxtI18n: false,
});
</script>

<template>
  <div>
    <FreeTrialForm :data="content.formSection" />
  </div>
</template>

<style lang="scss" scoped></style>
